## org.codehaus.plexus.util.io
Interface InputStreamFacade

All Known Implementing Classes:
  FileInputStreamFacade, RawInputStreamFacade, URLInputStreamFacade

    public interface InputStreamFacade

Interface of a wrapper for input streams. This facade is used by methods, which are being implemented for files, URL's, or input streams.

Method Summary
`java.io.InputStream` `getInputStream()` Retrieves the actual `InputStream`.

Method Detail

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Retrieves the actual `InputStream`. The caller must assume, that this method may be invoked only once.

  Throws:
    `java.io.IOException`